pub use sea_orm_migration::prelude::*;

mod m20240814_013106_create_user;
mod m20240814_013750_create_invite_code;
mod m20240814_014654_create_user_session;
mod m20240814_015232_create_verification_code;
mod m20240829_214347_create_user_settings;
mod m20241115_003101_create_announcement;

pub struct Migrator;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20240814_013106_create_user::Migration),
            Box::new(m20240814_013750_create_invite_code::Migration),
            Box::new(m20240814_014654_create_user_session::Migration),
            Box::new(m20240814_015232_create_verification_code::Migration),
            Box::new(m20240829_214347_create_user_settings::Migration),
            Box::new(m20241115_003101_create_announcement::Migration),
        ]
    }
}
